Subject: Re: Roots of Jocobi or Legendre polynomial?
From: Dongmyung Suh <[email-masked]>
To: "Sherwin, Spencer J" <[email-masked]>
Date: Tue, 9 Feb 2021 12:04:35 -0500

Dear Spencer J,

You are right. I found the relationship like this.
This means that the roots of the derivative of Legendre are equivalent to
the roots of Jocobi with alpha=beta =1.
Now, I am clear. Thank you for teaching me.

Best,

Dongmyung Suh

On Tue, Feb 9, 2021 at 11:13 AM Sherwin, Spencer J <[email-masked]>
wrote:

> Hi Dongmyung,
>
> There is a link between the Jacobi polynomial (1,1) and the derivative of
> the Jocaobi polynomial of type (0,0) (I believe you will have to check
> abramowitz & Stegun). So in the image you sent it refers to the “(i-1)st
> zero of P’_{n-1}” not the P_{n-1}. So the ‘ (prime) is important as it
> denotes the derivate and this is the connection to the (1,1) polynomials.
>
> Cheers,,
> Spencer.
>
>
> On 9 Feb 2021, at 15:52, Dongmyung Suh <[email-masked]> wrote:
>
> Dear Spencer J,
>
> Thank you for responding.
> But, I am still confused.
>
> In the other reference ( Abramowitz & Stegun), Gauss-Lobatto rules are
> explained as below.
> <https://en.wikipedia.org/wiki/Gaussian_quadrature#CITEREFAbramowitzStegun1972>
> They used the roos of the Jacobi polynomial with alpha=beta=0 and
> endpoints (-1 and +1) for Gauss-Lobatto rules.
> As shown in the table below.
> They didn't use  Jacobi polynomial with alpha=beta=1.
>
> Please let me get out of the confusion.
>
> Thanks
>
> Dongmyung Suh
>
>
>
>
>
>
>
>
> -------------------------------------------------------------------------------------------------------------------------------------------------------------
> https://en.wikipedia.org/wiki/Gaussian_quadrature
>
>
>
> On Tue, Feb 9, 2021 at 5:12 AM Sherwin, Spencer J <
> [email-masked]> wrote:
>
>> Hi Dongmyung,
>>
>> I think the issue here is that the roos of the Jacobi polynomial
>> alpha=beta=1 give  you the integration zeros of rite Gauss-Lobatto rule
>> which includes the end points.
>>
>> The roos of the Jacobi polynomial alpha=beta=0 give you the integration
>> zeros for the Gauss rule which do not include the end points.
>>
>> So both are correct.
>>
>> Cheers,
>> Spencer.
>>
>>
>> On 8 Feb 2021, at 21:46, Dongmyung Suh <[email-masked]> wrote:
>>
>> Dear Prof. Sherwin,
>>
>> While I am reading your book, Spectral hp element method for CFD [2ed].
>> I have a small question.
>> When the book explains the Gauss-Lobatto-Legendre formula for integration
>> (pg.61) and differentiation (pg 68), xi are the roots of
>> Jocobi polynomial  with α = β = 1.
>> However, in other references (
>> https://en.wikipedia.org/wiki/Gaussian_quadrature), they are the roots
>> of Legendre polynomial, which is Jocobi polynomial with α = β = 0.
>> I am confused. Which one is right? or both are correct?
>> Please let me know.
>> Thank you.
>>
>> Dongmyung Suh
>>
>>
>>
>>
>